% Hankel completion test
% Reference:
% Liu, Z. and Vandenberghe, L.
% Semidefinite programmming methods for system realization and
% identification. Section II.

% clc

rcompletegen

freq=10;
maxiter=2000;
mumu=[1e-3 1e-2 1e-1];
tol=1e-4;


for counter=1:4
  
  mu=mumu(1,counter);
  
  fprintf(' ************************************************** \n')
  fprintf(' mu = %g\n', mumu(1,counter))
  fprintf(' Start ADM\n')
  [x,fval,dval,t,iter,gap]=rcompleteADM2(q,bx,m,n,i,j,mu,tol,1,freq,maxiter);
  fprintf(' __________________________________________________ \n')

  fprintf(' Start DADM\n')
  [x,fval,dval,t,iter,gap]=rcompleteDADM(q,bx,m,n,i,j,mu,tol,1,freq,maxiter);
  fprintf(' __________________________________________________ \n')

  fprintf(' Start Cadzow\n')
  tic;Cadzow(q,10,bx,m,n,i,j,maxiter);toc
  
  fprintf(' Press Enter to continue')
  
  pause
end
